Skip to content

Billing Logs

GET
/api/v1/nodes/nodebillinglog/{vm_id}
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/nodebillinglog/{vm_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
vm_id
required
string

Path parameter vm_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request for billing logs

Example

<API_KEY>
location
required
string

Specifies the geographic location for the billing logs query

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the billing log response

integer
data
Array<string>
errors
object
message

Status message indicating the result of the billing log request

string

Example

{
"code": 200,
"message": "Success"
}